_PurpleConnection Struct Reference

## Data Fields

PurplePlugin * | prpl
| The protocol plugin. More...
PurpleConnectionFlags | flags
| Connection flags. More...
PurpleConnectionState | state
| The connection state. More...
PurpleAccount * | account
| The account being connected to. More...
char * | password
| The password used. More...
int | inpa
| The input watcher. More...
GSList * | buddy_chats
| A list of active chats (PurpleConversation structs of type PURPLE_CONV_TYPE_CHAT). More...
void * | proto_data
| Protocol-specific data. More...
char * | display_name
| How you appear to other people. More...
guint | keepalive
| Keep-alive. More...
gboolean | wants_to_die
| Wants to Die state. More...
guint | disconnect_timeout
| Timer used for nasty stack tricks.
time_t | last_received
| When we last received a packet. More...

## Detailed Description

Definition at line 245 of file connection.h.

## Field Documentation

## account

PurpleAccount* _PurpleConnection::account

The account being connected to.

Definition at line 252 of file connection.h.

## buddy_chats

GSList* _PurpleConnection::buddy_chats

A list of active chats (PurpleConversation structs of type PURPLE_CONV_TYPE_CHAT).

Definition at line 256 of file connection.h.

## display_name

char* _PurpleConnection::display_name

How you appear to other people.

Definition at line 261 of file connection.h.

## flags

PurpleConnectionFlags _PurpleConnection::flags

Connection flags.

Definition at line 248 of file connection.h.

## inpa

int _PurpleConnection::inpa

The input watcher.

Definition at line 254 of file connection.h.

## keepalive

guint _PurpleConnection::keepalive

Keep-alive.

Definition at line 262 of file connection.h.

## last_received

time_t _PurpleConnection::last_received

When we last received a packet.

Set by the prpl to avoid sending unneeded keepalives

Definition at line 274 of file connection.h.

## password

char* _PurpleConnection::password

The password used.

Definition at line 253 of file connection.h.

## proto_data

void* _PurpleConnection::proto_data

Protocol-specific data.

Definition at line 259 of file connection.h.

## prpl

PurplePlugin* _PurpleConnection::prpl

The protocol plugin.

Definition at line 247 of file connection.h.

## state

PurpleConnectionState _PurpleConnection::state

The connection state.

Definition at line 250 of file connection.h.

## wants_to_die

gboolean _PurpleConnection::wants_to_die

Wants to Die state.

This is set when the user chooses to log out, or when the protocol is disconnected and should not be automatically reconnected (incorrect password, etc.). prpls should rely on purple_connection_error_reason() to set this for them rather than setting it themselves.

See also
  purple_connection_error_is_fatal

Definition at line 271 of file connection.h.

The documentation for this struct was generated from the following file:

- connection.h